package cokr.xit.ens.biz.traffic.cheonan.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * 주정차웹 전자고지 발송구분 코드
 */
public enum SndngSeCd implements CodeMapperType {

    UNKNOWN("알수없음")
    ,intgrnNoti("통합 전자고지")
    ,kkoMydoc("카카오페이 내문서함(인증톡)")
    ,kkoAlimtalk("카카오페이 알림톡")
    ,nvSigntalk("네이버 고지서(인증톡)")
    ,ktSigntalk("KT 인증톡")
    ,ktGibis("KT 인증톡(지비스)");
    ;

    private final String code;     
    private final String codeNm;   
    SndngSeCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }

    public static SndngSeCd valueOfEnum(String statCd) {
        if (statCd == null)
            return SndngSeCd.UNKNOWN;

        SndngSeCd SndngSeCd = null;
        try {
            SndngSeCd = SndngSeCd.valueOf(statCd);
        } catch (IllegalArgumentException e) {
            SndngSeCd = SndngSeCd.UNKNOWN;
        }
        return SndngSeCd;
    }
}
